---
Name: satyr
Cartridge-Short-Name: SATYR
Display-Name: Satyr 0.11
Description: A cartridge providing satyr library
Version: '0.11'
Versions:
- '0.11'
License: GPLv2
Source-Url: http://mtoman.fedorapeople.org/cartridge-satyr/
Vendor: ABRT
Cartridge-Version: 0.0.1
Cartridge-Vendor: abrt
Categories:
- service
- mock
Provides:
- mock-0.1
- mock
Cart-Data:
- Key: OPENSHIFT_MOCK_EXAMPLE
  Type: environment
  Description: An example environment variable using ERB processing
Publishes:
Subscribes:
  set-env:
    Type: ENV:*
    Required: false
Endpoints:
- Private-IP-Name: EXAMPLE_IP1
  Private-Port-Name: EXAMPLE_PORT1
  Private-Port: 8080
  Public-Port-Name: EXAMPLE_PUBLIC_PORT1
  Protocols: [http, ws]
  Options:
    primary: true
  Mappings:
  - Frontend: ''
    Backend: ''
    Options:
      websocket: true
  - Frontend: /front1a
    Backend: /back1a
  - Frontend: /health
    Backend: ''
    Options:
      health: true
- Private-IP-Name: EXAMPLE_IP1
  Private-Port-Name: EXAMPLE_PORT2
  Private-Port: 8081
  Public-Port-Name: EXAMPLE_PUBLIC_PORT2
- Private-IP-Name: EXAMPLE_IP1
  Private-Port-Name: EXAMPLE_PORT3
  Private-Port: 8082
  Public-Port-Name: EXAMPLE_PUBLIC_PORT3
- Private-IP-Name: EXAMPLE_IP2
  Private-Port-Name: EXAMPLE_PORT4
  Private-Port: 9090
- Private-IP-Name: SSL_IP
  Private-Port-Name: SSL_PORT
  Private-Port: 8443
  Public-Port-Name: SSL_PROXY_PORT
  Protocols: [https]
  Options:
    ssl_to_gear: true
Scaling:
  Min: 1
  Max: -1
Install-Build-Required: false
Version-Overrides:
  '0.2':
    Display-Name: Mock Cartridge 0.2
    Install-Build-Required: true
    Provides:
    - mock-0.2
    - mock
  '0.3':
    Display-Name: Mock Cartridge 0.3
    Install-Build-Required: true
    Provides:
    - mock-0.3
    - mock-0.2
    - mock
    Endpoints:
    - Private-IP-Name: EXAMPLE_IP1
      Private-Port-Name: EXAMPLE_PORT1
      Private-Port: 8123
      Public-Port-Name: EXAMPLE_PUBLIC_PORT1
      Protocols: [https, wss]
      Mappings:
      - Frontend: ''
        Backend: ''
        Options:
          ssl_to_gear: true
          websocket: true
      - Frontend: /health
        Backend: ''
        Options:
          health: true
      Options:
        ssl_to_gear: true
  '0.4':
    Display-Name: Mock Cartridge 0.4
    Install-Build-Required: true
    Provides:
    - mock-0.4
    - mock-0.3
    - mock-0.2
    - mock
    Endpoints:
    - Private-IP-Name: EXAMPLE_IP1
      Private-Port-Name: EXAMPLE_PORT1
      Private-Port: 8123
      Public-Port-Name: EXAMPLE_PUBLIC_PORT1
      Protocols: [tls]
      Mappings:
      - Frontend: ''
        Backend: ''
